#!/bin/bash
set -e

apt-get -y update
apt-get -y upgrade
apt-get install -y expect openssh-server openssh-client net-tools curl wget nano gettext tcpdump 
cd /tmp
rm -rf jdk*
curl -s https://download.java.net/java/GA/jdk12.0.2/e482c34c86bd4bf8b56c0b35558996b9/10/GPL/openjdk-12.0.2_linux-x64_bin.tar.gz | tar -zx
[ ! -d jdk-12.0.2/bin ] && exit 1
mkdir -p /usr/java
[ -d /usr/java/jdk-12.0.2 ] && rm -rf /usr/java/jdk-12.0.2
mv -f jdk-12.0.2 /usr/java
[ ! -d /usr/java/jdk-12.0.2/bin ] && exit 1
rm -f /usr/java/default
ln -sf /usr/java/jdk-12.0.2 /usr/java/default
update-alternatives --install "/usr/bin/java" "java" "/usr/java/jdk-12.0.2/bin/java" 1
update-alternatives --install "/usr/bin/jstack" "jstack" "/usr/java/jdk-12.0.2/bin/jstack" 1
update-alternatives --install "/usr/bin/jcmd" "jcmd" "/usr/java/jdk-12.0.2/bin/jcmd" 1
update-alternatives --install "/usr/bin/jmap" "jmap" "/usr/java/jdk-12.0.2/bin/jmap" 1
update-alternatives --set "java" "/usr/java/jdk-12.0.2/bin/java"
update-alternatives --set "jstack" "/usr/java/jdk-12.0.2/bin/jstack"
update-alternatives --set "jcmd" "/usr/java/jdk-12.0.2/bin/jcmd"
update-alternatives --set "jmap" "/usr/java/jdk-12.0.2/bin/jmap"
