#!/bin/bash

CONF_FOLDER="../stand.conf"

stend_env_config="$CONF_FOLDER/wcs-stand.conf"
if [ -r "$stend_env_config" ]; then
 . "$stend_env_config"
fi

for file in *; do
 if [[ -d $file ]]; then
  echo "Build $IMAGE_PREFIX/$file image..."
  cd $file
  docker image rm -f $IMAGE_PREFIX/$file
  docker build -t $IMAGE_PREFIX/$file .
  cd ..
 fi
done
